import { request } from "@/utils/request.js";

/**
 * 广告位列表 API接口
 */
export default {
  /**
   * 数据列表
   * @returns
   */
  getPageList(params = {}) {
    return request({
      url: "/v1/advert/AgentSite/index",
      method: "get",
      params,
    });
  },

  /**
   * 添加数据
   * @returns
   */
  save(params = {}) {
    return request({
      url: "/v1/advert/AgentSite/save",
      method: "post",
      data: params,
    });
  },

  /**
   * 更新数据
   * @returns
   */
  update(id, data = {}) {
    return request({
      url: "/v1/advert/AgentSite/update?id=" + id,
      method: "put",
      data,
    });
  },

  /**
   * 读取数据
   * @returns
   */
  read(id) {
    return request({
      url: "/v1/advert/AgentSite/read?id=" + id,
      method: "get",
    });
  },

  /**
   * 删除数据
   * @returns
   */
  destroy(data) {
    return request({
      url: "/v1/advert/AgentSite/destroy",
      method: "delete",
      data,
    });
  },

  /**
   * 获取头条账号Options列表
   * @returns
   */
  getTtAccountOptionsApi() {
    return request({
      url: "/v1/advert/AgentSite/getTtAccountOptions",
      method: "get",
    });
  },

  /**
   * 导出分包标识数据
   */
  exportGamePackageKsApi(data = {}) {
    return request({
      url: "/v1/advert/AgentSite/exportGamePackageKs",
      method: "post",
      data,
    });
  },

  /**
   * 头条推送新事件
   */
  ttPushNewEventApi(data = {}) {
    return request({
      url: "/v1/advert/AgentSite/ttPushNewEvent",
      method: "post",
      data,
    });
  },

  /**
   * 生成联调参数
   */
  linkDebugGenerateParamsApi(data = {}) {
    return request({
      url: "/v1/advert/AgentSite/linkDebugGenerateParams",
      method: "post",
      data,
    });
  },
};
